import { ReactElement } from 'react';
import Swiper, { SwiperOptions, SelectableElement } from 'swiper';
export declare type ReactIdSwiperRenderProps = (props: ReactIdSwiperProps) => ReactElement | null;
export declare type WrappedElementType = 'div' | 'section' | 'span';
export declare type ReactIdSwiperChildren = ReactElement | ReactElement[];
export interface ReactIdSwiperProps extends SwiperOptions {
    ContainerEl?: WrappedElementType;
    WrapperEl?: WrappedElementType;
    containerClass?: string;
    wrapperClass?: string;
    slideClass?: string;
    rebuildOnUpdate?: boolean;
    shouldSwiperUpdate?: boolean;
    getSwiper?: (swiper: SwiperInstance) => void;
    activeSlideKey?: string;
    renderScrollbar?: ReactIdSwiperRenderProps;
    renderPagination?: ReactIdSwiperRenderProps;
    renderPrevButton?: ReactIdSwiperRenderProps;
    renderNextButton?: ReactIdSwiperRenderProps;
    renderParallax?: ReactIdSwiperRenderProps;
    rtl?: string | undefined;
    children?: ReactIdSwiperChildren;
    parallaxEl?: {
        el: string;
        value: string;
    };
}
export declare type SelectableElement = SelectableElement | undefined;
export declare type SwiperInstance = Swiper | null;
